## org.apache.catalina.cluster.tcp
Interface IDataSender

All Known Implementing Classes:
  DataSender

public interface IDataSender

Since:
  5.5.7
Version:
  $Id: IDataSender.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Peter Rossbach

Method Summary
`boolean` `checkKeepAlive()`
`void` `connect()`
`void` `disconnect()`
`long` `getAckTimeout()`
`java.net.InetAddress` `getAddress()`
`java.lang.String` `getDomain()`
`int` `getPort()`
`boolean` `getSuspect()`
`boolean` `isConnected()`
`boolean` `isWaitForAck()`
`void` `sendMessage(ClusterData data)`
`void` `setAckTimeout(long timeout)`
`void` `setAddress(java.net.InetAddress address)`
`void` `setDomain(java.lang.String domain)`
`void` `setPort(int port)`
`void` `setSuspect(boolean suspect)`
`void` `setWaitForAck(boolean isWaitForAck)`

Method Detail

### setAddress

    public void setAddress(java.net.InetAddress address)

### getAddress

    public java.net.InetAddress getAddress()

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### connect

    public void connect()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### disconnect

    public void disconnect()

### sendMessage

    public void sendMessage(ClusterData data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### isConnected

    public boolean isConnected()

### setSuspect

    public void setSuspect(boolean suspect)

### getSuspect

    public boolean getSuspect()

### setAckTimeout

    public void setAckTimeout(long timeout)

### getAckTimeout

    public long getAckTimeout()

### isWaitForAck

    public boolean isWaitForAck()

### setWaitForAck

    public void setWaitForAck(boolean isWaitForAck)

### checkKeepAlive

    public boolean checkKeepAlive()

### getDomain

    public java.lang.String getDomain()

### setDomain

    public void setDomain(java.lang.String domain)

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.